> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.decart.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Model Aliases

> Resolve one or more public model names/aliases to canonical model ids.



## OpenAPI

````yaml /openapi.json post /v1/models/resolve
openapi: 3.1.0
info:
  title: Decart API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/models/resolve:
    post:
      summary: Resolve Model Aliases
      description: Resolve one or more public model names/aliases to canonical model ids.
      operationId: resolve_model_aliases
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelResolveRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelResolveResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ModelResolveRequest:
      properties:
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        models:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Models
      type: object
      title: ModelResolveRequest
    ModelResolveResponse:
      properties:
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        model_ids:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Model Ids
      type: object
      title: ModelResolveResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````